BDU:2018-00188: Уязвимость XML-парсера микропрограммного обеспечения межсетевого экрана Cisco Adaptive Security Appliance, позволяющая перезагрузить устройство, временно преостановить обработку входящих VPN-запросов или выполнить произвольный код

Описание уязвимости Уязвимость XML-парсера микропрограммного обеспечения межсетевого экрана Cisco Adaptive Security Appliance существует из-за проблемы с распределением и освобождением памяти при обработке XML-данных. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, перезагрузить устройство, временно преостановить обработку входящих VPN-запросов или выполнить произвольный код при помощи специальносформированных XML-пакетов
Вендор Cisco Systems Inc.
Наименование ПО Cisco Adaptive Security Appliance
Версия ПО
  • 8
  • от 9.0 до 9.1.7.23
  • от 9.2 до 9.2.4.27
  • от 9.3 до 9.4.4.16
  • от 9.5 до 9.6.4.3
  • от 9.7 до 9.7.1.21
  • от 9.8 до 9.8.2.20
  • от 9.9 до 9.9.1.2
Тип ПО ПО сетевого программно-аппаратного средства
Операционные системы и аппаратные платформы
Данные уточняются
Тип ошибки Повторное освобождение
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 27.11.2017
Базовый вектор уязвимости
Уровень опасности уязвимости Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 10)
Возможные меры по устранению уязвимости
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует в открытом доступе
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения